# Uses of Interface
org.eclipse.jdt.core.eval.IGlobalVariable

Packages that use IGlobalVariable
Package
Description
org.eclipse.jdt.core.eval
Provides support for the evaluation of code snippets in a scrapbook or inside the debugger.

## Uses of IGlobalVariable in org.eclipse.jdt.core.eval

Methods in org.eclipse.jdt.core.eval that return IGlobalVariable
Modifier and Type
Method
Description
`IGlobalVariable[]`
IEvaluationContext.`allVariables()`
Returns the global variables declared in this evaluation context.
`IGlobalVariable`
IEvaluationContext.`newVariable(String typeName, String name, String initializer)`
Creates a new global variable with the given name, type, and initializer.
Methods in org.eclipse.jdt.core.eval with parameters of type IGlobalVariable
Modifier and Type
Method
Description
`void`
IEvaluationContext.`deleteVariable(IGlobalVariable variable)`
Deletes the given variable from this evaluation context.
`void`
IEvaluationContext.`evaluateVariable(IGlobalVariable variable, ICodeSnippetRequestor requestor, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
Evaluates the given global variable.